Welcome to eShop!

The eShop system is designed to support small and middle size sellers with reliable web-based shopping tool for all their needs. As e-commerce evolves, sellers and buyers are increasingly sophisticated and adventurous, demanding more choice. Consumers want the widest range of products and stores. Sellers need to obtain the easy and reliable software tool for their business. We proudly present the eShop system as such tool.

The eShop system is a software which when installed, provides full control over shopping services with minimum costs. You don't need to install additional software to work with a system. All what you need is only computer with internet connection - anywhere in the world.


eShop

Absolute control over your products at the tips of your fingers
eShop System Documentation
Copyright © 2000-2006 FOSS Software Inc. All rights reserved.
Table of Contents |
1. eShop Introduction | 5
2. eShop User's Guide | 9
2.1 Using "Products" | 9
2.1.1 The Products Tree | 9
2.1.2 Named Lists (or Named Nests) | 9
2.1.3 Discounts | 9
2.1.4 Link Types Between Products | 9
2.1.5. Other Product properties | 9
2.2. Using "Orders" | 10
2.2.1 Headline order properties | 10
2.2.2 Additional Order Properties | 10
2.2.3 Order Optional Charges | 10
2.2.4 Order Statuses | 10
2.2.5 Order Item Properties | 11
2.2. Using "Orders" | 11
2.3 Using "Payments and Payment Methods" | 11
2.4 Using "Delivery and Delivery Types" | 11
2.5 Using "Dictionaries" | 11
2.6 Using "Admin Functions" | 12
2.7 Using "Reports - Products List" | 12
2.8 Using "Database Function - Import Products List" | 12
2.9 Interface features | 12
2.9.1 Tables | 12
2.9.2 Sorting and Filtering | 12
2.9.3 Viewing of Table Data | 12
2.10 The eShop System Data Structure | 13
3.1.1 Entering the system | 14
3.1 General interface | 14
3.1.1 Entering the system | 14
3.1.2 The Main page | 14
3.1.2.1 System Menu items | 16
3.2 Products Menu | 20
3.2.1 "Manage products" page | 20
3.2.1.1 "New Product Category" page | 23
3.2.1.2 "New Product" page | 24
3.2.1.3 "Edit Mode" page | 26
3.2.1.4 "Edit Category" page | 29
3.2.1.4.1 "Manage Properties" page | 31
3.2.1.4.2 "New Property" page | 32
3.2.1.5.1 "Manage Attachments" page | 32
3.2.1.5.2 "New Attachment" page | 33
3.2.1.6 "Delete Category" dialog | 34
3.2.2 "Product Search" page | 34
3.2.3 "Named Lists" page | 35
3.2.3.1 "Viewing Current Nest Type" page | 36
3.2.3.2 "Creating New Nest Type" page | 37
3.2.4 "Discounts" page | 38
3.2.4.1 "Editing Discount" page | 39
3.2.4.2 "Creating New Discount" page | 41
3.2.5 "Link Types Between Products" page | 42
3.2.5.1 "Creating New Link Type" page | 43
3.3 Orders Menu | 43
3.3.1 "Order Statuses" page | 44
3.3.1.1 "New Order Status" page | 45
3.3.2 "Order Properties" page | 46
3.3.2.1 "New Order Property" page | 47
3.3.3 "Order Item Properties" page | 48
3.3.3.1 "New Order Item Property" page | 49
3.3.4 "Order Optional Charges" page | 50
3.3.4.1 "New Order Optional Charge" page | 51
3.3.5 "Manage Orders" page | 53
3.3.5.1 "Create New Order" page - step 1 | 54
3.3.5.2 "Continue Create Order" page - step 2 | 56
3.3.5.3 "Continue Create Order" page - step 3 | 58
3.3.5.4 "Order List" Page | 60
3.4 Payments Menu | 64
3.4.1 "Payments Methods" page | 64
3.4.1.1 "View Payment Method" page | 65
3.4.2 "Payments" page | 66
3.5 "Delivery" Menu | 67
3.5.1 "Delivery Types" page | 67
3.5.1.1 "New Delivery Type" page | 68
3.5.2 "Delivery" page | 69
3.5.2.1 "New Delivery" page | 70
3.5.2.2 "Delivery Items" page | 71
3.6 Manage Dictionaries Menu | 73
3.6.1 "Weights" page | 74
3.6.1.1 "New Weight" page | 74
3.6.2 "Units" page | 75
3.6.2.1 "New Unit" page | 76
3.6.3 "Measures" page | 76
3.6.3.1 "New Measure" page | 77
3.6.4 "Currencies" page | 78
3.6.4.1 "New Currency" page | 79
3.6.5 "Statuses" page | 79
3.6.5.1 "New Status" page | 80
3.6.6 "Vendors" page | 81
3.6.6.1 "New Vendor" page | 82
3.7 Admin Menu | 83
3.7.1 "Product Types" page | 84
3.7.2 "Discount Types" page | 84
3.7.3 "Order Optional Charges Types" page | 85
3.8 Reports Menu | 85
3.8.1 "Products List" page | 85
3.9 Database Function | 86
3.9.1 "Import Products List" page (step 1) | 87
3.9.2 "Import Products List" page (step 2) | 88
3.10 Log off | 92
3.11 Feedback | 92
3.12 Calendar Menu | 93
4. Support | 94


1. eShop Introduction

This document provides conceptual and reference information for users of eShop. The help documentation consists of a User’s Guide and Reference section for each subsystem of eShop.

For more information on each of these sections, see the Roadmap to the eShop documentation.

In addition to the subsystems sections, this document contains an overview section.

This section contains the following topics that provide general information about eShop.

• What is eShop

• Roadmap to the eShop documentation

• System deployment

• Requirements

• Copyright and Legal Information

What is eShop

The main objectives of eShop are:

• Provide effective Web-based sales management.

• Provide widening of markets by means of reliable, 24/7 technically supported effective sales management system.

Roadmap to eShop documentation

This documentation contains two main sections: User’s Guide, and a Reference section. The User’s Guide introduces the basic functions of eShop, and provides conceptual and procedural information. The reference section provides detailed information about eShop subsystems, windows, and controls. The following is a brief description of the User’s Guide sections.

Using "Products"

This section provides information about the Products subsystem.

The Products Tree

This section introduces the Products Tree feature, which provides for suitability and presentation of the eShop products.

Named Lists (or Named Nests)

This section provides information about the Named Lists subsystem – the subsystem for creating and maintaining nests, or named lists.

Discounts

This section introduces the Discounts subsystem.

Link Types between Products

This section provides information about the Link Types between Products subsystem.

Other Product Properties

This section introduces the Order Properties subsystem. This section describes the creation and usage of eShop order properties.

Using "Orders"

This section introduces the Orders subsystem. This section describes how to create and manage orders.

Headline Order properties

Main order properties in eShop system

Additional Order Properties

Additional order properties in eShop system

Order Optional Charges

Order optional charges and their properties in eShop system

Order Statuses

Order statuses and their properties in eShop system

Order Item Properties

Order items and their properties in eShop system

Managing orders

Orders management in eShop system

Using "Payments and Payment Methods"

Payments management in eShop system

Using "Delivery and Delivery Types"

Deliveries management in eShop system

Using "Dictionaries"

Dictionary tables in eShop system

Using "Admin Functions"

Administrative features in eShop system

Using "Reports - Products List"

Generating Reports in eShop system

Using "Database Function - Import Products List"

Importing data via Database function in eShop system

Interface features

This section provides information about interface features of the eShop system

The Products Tree

User can find any necessary product s easier by means of The Products Tree – a key interface feature in the eShop system.

Tables

User can use the same features to manage – sort, filter and view table data

Sorting and Filtering

Sorting and filtering is easy, obvious and clear.

Viewing of Table Data

Tables can be separated by several parts in a variety of means.

System deployment

eShop can be deployed in two modes:

  • Private deployment. User installs the system on his own server. Users reach the system through Internet or Intranet.
  • FOSS web server deployment. User uses the eShop system, which is installed on server of FOSS Software Inc. Users reach the system through Internet.

Requirements

Access is recommended using Microsoft Internet Explorer (version 5.0 or later) or Netscape Communicator (4.0 or later) or Mozilla FireFox 1.5 with a screen resolution of at least 1024 x 768

Copyright and Legal Information

eShop system version: 1.1

Copyright © 2000-2006 FOSS Software Inc. All rights reserved.

FOSS Software Inc.

151 Main st. Suite 3

Salem, NH 03079

Ph: (603) 894-6425

(603) 894-6427

Fax: (603) 271 0077

foss@fossware.com


2.1 Using "Products"

2. eShop User's Guide

2.1 Using "Products"

All products in eShop’s database are represented by their ID number, Part Number, Vendor, Name, Description, Category, Nest (Named List), Link to other product(s), Description, Status, Currency, Price, Rating, Quantity, Discount and New Price.

2.1.1 The Products Tree

Products in the eShop system are presented by categories. Such classification is very comfortable for representation purposes. Thus, you can edit, add or remove categories at your own decision to make the Products Tree clear and understandable. User can find a necessary product easier by means of The Products Tree.

2.1.2 Named Lists (or Named Nests)

User can create so-called Named Lists (or Nests) of products, where they can put hot items, most widely used items, special price items etc. This classification is also very comfortable for product management purposes. Users can create, edit and remove Nests from the eShop system. The user can put new products into existing nests and remove ones out of there.

2.1.3 Discounts

Every product usually has its own discount. There are different types of discounts in eShop system, and the user can easily create its own types of discounts. For example, discounts table implies the means for editing, creation or removing of any existing discount types.

2.1.4 Link Types between Products

All the products in eShop database may be linked to each other. These links can be of different types. Link types management - viewing, editing, adding and deleting link items - can easily be presented by means of the "Link Types between Products" table.

2.1.5. Other Product properties

Product properties also include such definitions as weight, unit, measure, currency, status and vendor of the product. All of these properties are stored in corresponding tables (or dictionaries), where user can add, edit or remove items by his own decision.


2.2. Using "Orders"

Orders are the documents, which reflect interrelation between the owners of eShop system and their customers. Order has a headline part (appurtenant to the whole document) and an item (s) part, where one ore more order items (products) are represented.

2.2.1 Headline Order Properties

Every order has its own main headline properties or details – Order ID number, Order #, Date, Items Total, Charges Total, Status, Description, Base Currency, Customer First Name, Customer Last Name, Customer Street, Customer City, Customer State, Customer ZIP, Customer Country, Customer Email, Customer Phone, Referral Code, Note (-s).

Order ID number, Order Date, Items Total and Charges total are automatically generated or calculated in eShop system; all the other main properties are required to be filled by user.

2.2.2 Additional Order Properties

Every order may have its own additional properties (headline document properties): Shipment type, Shipment time, Payment requirements, Expiration date etc. Any of these properties are accessible through "Order Properties" table and can easily be added, edited or removed by user.

Later these properties along with their values are accessible for user during order management. Values for these properties can be entered into the corresponding fields of any appropriate order.

2.2.3 Order Optional Charges

Every order may have its own unique optional charges. These charges are stored in the corresponding table and can be easily created, edited or removed. Later these charges along with their values are accessible for user during order management. Values for these charges can be entered into the corresponding fields of any appropriate order.

2.2.4 Order Statuses

There are two main order statuses – Active or Not Active, which affect the whole document. But a user can add, edit or remove items in the Order Statuses by request, for example – in stock, out of stock, waiting for delivery, reserved, suspended etc. Later, these statuses along with their values are accessible for user during order management. Values for these statuses can be entered into the corresponding fields of any appropriate order.


2.3 Using "Payments and Payment Methods"

Payments can be made electronically (PayPal, 2checkout.com, CyberSource are supported now) or manually (by receiving bank check). The eShop system developers understand that any specific user may want to widen this list of payment methods. As such, the eShop will guarantee adding any necessary payment system (method) to Payment Methods list.

Payment methods management means adding, editing or removing any item in the Payments Methods Table. Payments management means viewing any item in the Payments Table.

User-friendly interface, vivid and obvious presentation of payments favorably distinguishes eShop system from the similar software products. Another benefit of eShop system is high security of payment data channels, SSL connections to payment systems, reliable mechanism of data storage and many other features.


2.4 Using "Delivery and Delivery Types"

Delivery Types and Deliveries management is easy and clear. A user can add, edit or remove any item(s) from the Delivery Types table, which consists of the following data fields: Delivery Name, Main URL, Delivery Confirmation URL. Later these delivery types along with their values are accessible for the user during deliveries management. Values for these types can be entered into the corresponding fields of any appropriate delivery document.

Delivery document contains the following data fields: Confirmation Number, Delivery Type, Date, Actual Shipping Cost, Order ID, Order Number, Order Date. Any delivery document can be easily created, edited or removed.


2.5 Using "Dictionaries"

The eShop system also contains specific data, which correlates to products in the system. Weights, Units, Measures, Currencies, Statuses, Vendors – all of these dictionary tables store information, which can be easily added, edited or removed. All of these dictionaries, except Vendors dictionary, have only one field – Parameter Name. Vendors dictionary contains the following fields: Vendor Name, Vendor description, Vendor Picture, URL, Date of Record Creation.


2.6 Using "Admin Functions"

The eShop system is organized with consideration of the user’s roles and access rights. As such, there are three items, which are accessible to only administrative persons. These items are Product Types, Discount Types and Order Optional Charges Types.


2.7 Using "Reports - Products List"

Products list is the only one report, which is currently available. The eShop Team is planning to increase the report list in near term future.


2.8 Using "Database Function - Import Products List"

Importing a product list is the only database function that is currently available. The eShop Team is planning to widen the Imports list in order to satisfy all customers needs.


2.9 Interface features

2.9.1 Tables

Many pages of the system contain tables, which are used for displaying lists of data. Every table has the same features, which you can use to sort, filter and view data. Each row in a table represents a set of fields named as record. Current record is a raw in a table, where user is making his input - adding, editing or deleting some data, pressing buttons if these buttons are present.

2.9.2 Sorting and Filtering

You can sort data in the table by clicking on the column’s title. You can also filter data by choosing Filter Data, below the column name. Click on the Filter icon to apply filtering.

2.9.3 Viewing of Table Data

The table can be separated into several parts, if number of rows if a table is very large. In these cases additional controls will appear. You can now see the number of parts below the table. You can view any table part by clicking the part number. You can also set the number of rows shown at one time in "Rows on page" field. After entering this value press the APPLY button to affect the changes for the table presentations.


2.10 The eShop System Data Structure

The system data structure is shown on a figure below. Not all the fields are presented here, but only those, which have corresponding links one to another.

(Figure 1)


3. eShop Reference

3.1 General interface

3.1.1 Entering the system

The system entrance is situated on a server where the system is deployed. When using the FOSS web server deployment method of using eShop, the URL of system entrance is http://www.w3spt.com/eshop. In the case of private deployment, the system entrance is on your internet server configured page. The system entrance page is used to login to the eShop system. Specifying the company account, user’s login and password enables entrance into the eShop system, as shown in Figure 2.

(Figure 2)

Fields
Account name

The name of eShop account.

Login

The user’s login name.

Password

The user’s login password.

Buttons

Login

Press this button after filling in all login fields in order to login into the system. The security subsystem will check your credentials. If authorization fails, you will see the error message.

Reset

Reset s the page of all previous input.


3.1.2 The Main Page

The system Main Page is used for performing common tasks such as product (s) selection and navigating through the different categories and products. The System Main Page is shown in Figure 3.

(Figure 3)

Products Tree

The Products tree is shown in the left part of a screen. If a category contains child categories, the box near category name has a plus (+) sign inside it. You can choose to expand or collapse the parent category by clicking the "+" button in the corresponding category box. Clicking on the category name will result displaying the entire list of products included in this category. This list is displayed in the middle of the Main Page screen in the Products table.

Fields and tables

Products Table

The Products table shows a list of products available in the selected category. Sorting of this table by any field (e.g. a column) is accomplished by means of clicking on the corresponding field name. The Products table consists of the following fields: Part Number, Vendor Name, Status, Currency, Price, Picture, Rating, Quantity, Discount and New Price.

Buttons

New Category

Use this button to create a new category

New Product

Use this button to enter a new product

Edit Mode

Use this button to switch into the Edit mode.

Search

Use this button to initiate searching between products.

System Menu

The System Menu is visible on every page in the eShop system. Navigation through the eShop system can easily be made utilizing the System Menu, shown in Figure 4.

(Figure 4)

Navigation

All functional aspects of the eShop system are available through the System Menu. The system generates the menu structure dynamically depending on the user’s permissions. The following list displays the main System Menu structure and contains a brief description for each item:

Products

Orders

Payments

Delivery

Manage Dictionaries

Admin

Reports

Database Function

Log off

Feedback


3.1.2.1 System Menu items

The following is a brief description of all System Menu items:

Products

This menu is used to return to the Main page of eShop system, where the Products tree and the Products table are situated.

Manage Products

This menu item is used for products management. E.g. Viewing, editing, adding and removing items in the "Products" table.

Products Search

Here the user can input search parameters and search for necessary products in the eShop database.

Named Lists

This menu item is used for Named List management. E.g. Viewing, editing, adding and removing items in the Named Lists (or so-called Nests) table.

Discounts

This menu item is used for the Discounts Table management. E.g. Viewing, editing, adding and removing items in the "Discounts" table.

Link Types Between Products

All the products in the eShop database may be linked together. These links can have different types. "Link Types Between Products" menu item is used for link types between products management – viewing, editing, adding and deleting items in the "Link Types Between Products" table.

Orders

This menu contains functions, which are implied to orders, their statuses, properties, properties of order items, optional charges. You can manage your orders using the "Manage Orders" item of menu "Orders".

Order Statuses

Orders in the eShop database can have different statuses. This menu item is used for management – viewing, editing, adding and deleting items in the "Order Statuses" table.

Order Properties

Orders in the eShop database can have different properties. This menu item is used for management – viewing, editing, adding and deleting items in the "Order Properties" table.

Order Item Properties

Order Items in the eShop database can have different properties. This menu item is used for management – viewing, editing, adding and deleting items in the "Order Item Properties" table.

Order Optional Charges

Orders in the eShop database can have different optional charges. This menu item is used for management – viewing, editing, adding and deleting items in the "Order Optional Charges" table.

Manage Orders

This menu item is used for management – viewing, editing, adding and deleting items in the "Orders" table.

Payments

This menu is used to set up payment methods and to see all of the payments made by customers.

Payment Methods

All the payments in eShop system may be done using different methods, in conjunction with different online payment systems. This menu item is used for management – viewing, editing, adding and deleting items in the "Payment Methods" table.

Payments

This menu item is used for viewing items in the "Payments" table.

Delivery

This menu can be used to setup delivery types, available in your system, and to see statuses of all of the deliveries of your products to your customers.

Delivery Types

This menu item is used for management – viewing, editing, adding and deleting items in the "Delivery Types" table.

Delivery

This menu item is used for management – viewing, editing, adding and deleting items in the "Deliveries" table.

Manage Dictionaries

Use this menu for accessing to any of the special system dictionaries, such as Weights, Units, Measures, Currencies, Statuses and Vendors.

Weights

This menu item is used for management – viewing, editing, adding and deleting items in the "Weights" table.

Units

This menu item is used for management – viewing, editing, adding and deleting items in the "Units" table.

Measures

This menu item is used for management – viewing, editing, adding and deleting items in the "Measures" table.

Currencies

This menu item is used for management – viewing, editing, adding and deleting items in the "Currencies" table.

Statuses

This menu item is used for management – viewing, editing, adding and deleting items in the "Statuses" table.

Vendors

This menu item is used for management – viewing, editing, adding and deleting items in the "Vendors" table.

Admin

This menu consists of three menu items: Product Types, Discount Types and Order Optional Charges Types. All items in this menu are read-only and require administrative rights to full access.

Product Types

Use this menu item to view the "Product Types" table.

Discount Types

Use this menu item to view the "Discount Types" table.

Order Optional Charges Types

Use this menu item to view the "Order Optional Charges" table.

Reports

This menu consists of Products List menu item.

Products List

Use this menu item to generate your product list report.

Database Function

Use this menu to import your product lists into the eShop system.

Log off

Use this menu to logout from the eShop system.

Feedback

Use this menu if you need to send feedback to the developers of the eShop system.


3.2 Products Menu

The Products Menu is shown in Figure 5.

(Figure 5)

The Products Menu consists of 5 menu items: Manage Products, Product Search, Named Lists (Nests), Discounts and Link Types Between Products.


3.2.1 "Manage Products" page

Use this page for viewing, editing, adding and deleting items in the Products table. Access to "Product Categories" page is from this page. You can organize your products tree by adding products to their respective categories. "Manage Products" page is shown in Figure 6.

(Figure 6)

Products Table Columns

Part Number

Product part number

Vendor

Product vendor

Name

Product name

Status

Product status

Currency

Product currency

Price

Product price

Picture

Product picture

Rating

Product rating

Quantity

Product quantity

Discount

Product discount

New Price

Product new price

Edit

Press the button in this column to edit current product

Delete

Press the button in this column to delete current product

Drop-down lists

Search

Select the search criteria here (by Part Number, Product Name or Product Description)

Buttons

Edit Category

Press this button to open Edit Category (3.2.1.4) page, where you can edit current product category.

Delete Category

Press the button in this column to delete current product category. When you press Delete button, you will be prompted for a confirmation (3.2.1.6):

(Figure 7)

New Category

Press this button to open New Product Category (3.2.1.1) page, where you can enter a new product category.

New Product

Press this button to open a New Product (3.2.1.2) page, where you can enter a new product into the eShop system.

Search

Select the search criteria in the drop-down list (by Part Number, Product Name or Product Description); input a search phrase into the search field and press Search button. It will activate the search through the table.

Edit Mode

Switches to Edit Mode (3.2.1.3).

Edit

Press this button to edit current product.

Delete

Press the button in this column to delete current product

When you press Delete button, you will be prompted for a confirmation as shown on Figure 8:

(Figure 8)


3.2.1.1 "New Product Category" page

The addition of a new product category is performed here. The screen will look like Figure 9:

(Figure 9)

Here you can choose the name of parent category (Parent Category drop-down list), input the name of category (Category Name field), choose the status name of category (Status Name field), description (Description field), visibility (Is posted checkbox). The picture file name (if one exists) will be inserted into Picture File Name field after browsing and selecting it among your drives, folders and files (Browse... button). Also the following buttons are available: Products list (for opening the "Products List" page, Reset (cancel your input), Save (save your input), Save & Close (save your input and close this page). Note if you need to make the current category root category, you have to choose "All Categories" in the Parent Category drop-down list.

Fields

Category Name

Input category name

Description

Input category description

Picture File Name

Press the Browse... button and select the picture file name. It will be placed into this field.

Drop-down lists

Parent Category

Select the category, which you intend to assign as parent category for the current one.

Status Name

Select the status name for current product category.

Check boxes

Is Posted

Check this box to apply status (visibility) of category for buyers.

Buttons

Product list

Press this button to open the "Product List" (3.2.1) page.

Browse...

Press this button near picture file field to browse for a picture file.

Reset

Press this button to cancel your input (not saving changes).

Save

Press this button to save your changes.

Save and Close

Press this button to save your changes and leave "New Product Category" page.


3.2.1.2 "New Product" page

New products can be entered here.

The New Products screen is shown in Figure 10:

(Figure 10)

New Product Table Columns (Fields and Drop-down lists)

Parent Category

Product parent category

Product Type

Product type

Part Number

Product part number

Product Name

Product name

Short Description

Product short description

Vendor Name

Product vendor name.

Press "…" button to open "Vendors List" (3.6.6) page.

Price

Product price

Rating

Product rating

Posted

Product visibility ("is available"). External system (like web site) can include or not include product to available to buyer list depending on this field value.

Picture File

Product picture file.

Press Browse button to select product picture file.

Status

Product status

Buttons

Product List

Press this button to open "Products list" (3.2.1) page

Vendor Name (...)

Press "…" button near vendor name field to open "Vendors list" (3.6.6) page.

Picture File

Press Browse button near picture file field to select product picture file.

Reset

Press this button to cancel your input (not saving changes).

Save

Press this button to save your changes.

Save and Close

Press this button to save your changes and leave "New Product Category" page.


3.2.1.3 "Edit Mode" page

The Products Table screen in Edit mode looks similar to 3.2.1 "Manage products" page except that fields Price and Quantity are editable, and the button Edit Mode is replaced to View Mode, as shown in Figure 11:

(Figure 11)

Products Table Columns

Part Number

Product part number

Vendor

Product vendor

Name

Product name

Status

Product status

Currency

Product currency

Price

Product price, can be edited.

Picture

Product picture

Rating

Product rating

Quantity

Product quantity can be edited.

Discount

Product discount

New Price

Product new price

Edit

Press the button in this column to edit current product

Delete

Press the button in this column to delete current product

Drop-down lists

Search

Select the search criteria here (by Part Number, Product Name or Product Description)

Buttons

Edit Category

Press this button to open "Edit Category" (3.2.1.4) page, where you can edit current product category.

Delete Category

Press the button in this column to delete current product category. When you press the Delete button, you will be prompted for a confirmation (3.2.1.6):

(Figure 12)

New Category

Press this button to open "New Product Category" (3.2.1.1) page, where you can enter a new product category.

New Product

Press this button to open "New Product" (3.2.1.2) page, where you can enter a new product into the eShop system.

Search

Select the search criteria in the drop-down list (by Part Number, Product Name or Product Description); input a search phrase into the search field and press Search button. It will activate the search through the table.

View Mode

Switches to view mode of "Manage Products" page (3.2.1).

Edit

Press this button to edit current product.

Delete

Press the button in this column to delete current product

When you press Delete button, you will be prompted for a confirmation:

(Figure 13)


3.2.1.4 "Edit Category" page

Editing of product categories is accomplished here. The screen will look like Figure 14.

(Figure 14)

Here you can choose the name of parent category (Parent Category drop-down list), input the name of category (Category Name field), choose the status name of category (Status Name field), description (Description field), visibility (Is Posted checkbox). The picture file name (if one exists) will be inserted into Picture File Name field after browsing and selecting it among your drives, folders and files (Browse... button). Also the following buttons are available: Products list (for opening the "Products List" screen, Reset (cancel your input), Save (save your input), Save & Close (save your input and close this screen). Note if you need to make the current category root category, you have to choose "All Categories" in the Parent Category drop-down list.

Fields

Category Name

Input category name.

Description

Input category description.

Picture File Name

Press the Browse... button and select the picture file name. It will be placed into this field.

Drop-down lists

Parent Category

Select the category, which you intend to assign as parent category for the current one.

Status Name

Select the status name for current product category.

Check boxes
Delete Current Image

Check this box, if you intend to delete current image.

Is Posted

Check this box to apply status (visibility) of category for buyers.

Buttons

Manage Properties

Press this button to open the "Manage Properties" page (3.2.1.4.1).

Manage Attachments

Press this button to open the "Manage Attachments" page (3.2.1.5.1).

Product list

Press this button to open the "Product List" page (3.2.1).

Browse...

Press this button near "Picture File Name" field to browse for a picture file.

Reset

Press this button to cancel your input (not saving changes).

Save

Press this button to save your changes.

Save and Close

Press this button to save your changes and leave "New Product Category" page.


3.2.1.4.1 "Manage Properties" page

Product category properties are managed using this page as seen

in Figure 15.

(Figure 15)

Fields

Property Name

Input property name.

Up

Press the button to move current property up for one row.

Down

Press the button to move current property down for one row.

Edit

Press the button to edit current property.

Delete

Press the button to delete current property.

Buttons

Product List

Press this button to open the "Manage Products" page (3.2.1).

New Property

Press this button to open the "Manage Attachments" page (3.2.1.5.1).

Edit Category

Press this button to open the "Edit Category" page (3.2.1.4).

Up

Press the button to move current property up for one row.

Down

Press the button to move current property down for one row.

Edit

Press the button to edit current property.

Delete

Press the button to delete current property.


3.2.1.4.2 "New Property" page

You can add new product’s category property using this page.

(Figure 16)

Fields

Property Name

Input property name.

Update

Press the button to update current property.

Cancel

Press the button to cancel your input.

Buttons

Product List

Press this button to open the "Manage Products" page (3.2.1).

New Property

Press this button to add another new property.

Edit Category

Press this button to open the "Edit Category" page (3.2.1.4).


3.2.1.5.1 "Manage Attachments" page

Management of the product’s category attachments are performed using the page Similar to Figure 17.

(Figure 17)

Fields

Attachment Name

Input attachment name.

Up

Press the button to move current attachment up for one row.

Down

Press the button to move current attachment down for one row.

Edit

Press the button to edit current attachment.

Delete

Press the button to delete current attachment.

Buttons

Product List

Press this button to open the "Manage Products" page (3.2.1).

New Attachment

Press this button to open the "New Attachment" page (3.2.1.5.2).

Edit Category

Press this button to open the "Edit Category" page (3.2.1.4).

Up

Press the button to move current attachment up for one row.

Down

Press the button to move current attachment down for one row.

Edit

Press the button to edit current attachment.

Delete

Press the button to delete current attachment.


3.2.1.5.2 "New Attachment" page

This page is used to add attachments to products category (Figure 18).

(Figure 18)

Fields

Attachment Name

Input attachment name.

Update

Press the button to update current attachment.

Cancel

Press the button to cancel your input.

Buttons

Product List

Press this button to open the "Manage Products" page (3.2.1).

New Attachment

Press this button to add another new attachment.

Edit Category

Press this button to open the "Edit Category" page (3.2.1.4).


3.2.1.6 "Delete Category" dialog

(Figure 19)

You can submit your decision do delete all selected category with all its child products (OK button) or cancel operation (Cancel button).


3.2.2 "Product Search" page

Product search can be made here, as shown in Figure 20.

(Figure 20)

Fields

Search for:

Input your search string here.

Buttons

Search

Select the search criteria in the drop-down list, input a search string into the search field and press Search button. It will activate the search through the table.

After a successful search, the screen will look like this:

(Figure 21)

Rows Per Page - Apply

Input the desired number of rows per page into the field and press the Apply button. All Vendors dictionary will be divided into the chosen number of pages, and you can navigate through them by clicking on the corresponding page numbers in the bottom right corner of the screen.

Pages: 1 2 3 … n

Navigate through pages by clicking required page number.


3.2.3 "Named Lists" page

This page shows the set of named lists (nest types). Information about Named Lists is shown in the table containing one row for each named list.

(Figure 22)

Named Lists Table Columns

ID

Current named list ID number.

Nest Type Name

Current named list name (nest type name.) This name has the reference to the corresponding nest, where a set of products is stored. You can click on the nest type name and the screen will show the selected nest – "Current Nest Type" page (3.2.3.1)

Edit

Press the button in this column to edit current named list

Delete

Press the button in this column to delete current named list

Buttons

New Nest Type

Press this button to add a new nest type in a new screen that will open.

Edit

Press this button to edit the current named list.

Delete

Press this button to delete the current named list.

When you press the Delete button, you will be prompted for a confirmation:

(Figure 23)


3.2.3.1 "Viewing Current Nest Type" page

Here you can view the products included in the selected named list. The data in the table can be sorted by clicking the title of any column. Unnecessary items can be removed by clicking the Remove button. Additionally, opening the parental screen by clicking the Named List button or add additional new products by clicking the Add Product button.

(Figure 24)


3.2.3.2 "Creating New Nest Type" page

Adding products for the selected named list is performed on this screen. The products tree is shown in the left side panel of the screen, and the appropriate product(s) can be chosen by clicking the (+) boxes and expanding or collapsing tree branches. Products table in the middle of a screen will represent the chosen products for a current Named Nest. The data in the table can be sorted by clicking the title of any column. You can open the parental screen (Named List button), invert your selection (Invert Selection button) or cancel your choice (Cancel button). Also you can input your search criteria in the Search by drop-down list (by Lookup Code, Product Name or Product Description), input your parameters into the Search field and initiate searching between products by pressing the Search button.

(Figure 25)

Named Nest "New product List" Table Columns

Lookup Code

Product lookup code

Vendor

Product vendor

Name

Product name

Status

Product status

Currency

Product currency

Price

Product price

Picture

Product picture

Rating

Product rating

Buttons

Invert Selection

Pressing this button will invert your selection.

Named List

Pressing this button will open a parental page.

Cancel

Cancels your selection (pressing this button will empty the current table).

Add Selected Products

Adds products from current table to the current named list.

Search

Enter a search phrase into the search field, select the search criteria using the drop-down list and press this button. It will activate the search of all products in the list.

Drop-down lists

Search by

Allows selection of search criteria (e.g. by Lookup Code, Product Name or Product Description).


3.2.4 "Discounts" page

This page shows discount information. It is presented in the table containing one row for each discount. Every record about a discount contains a Lookup Code, Name of discount, Discount Type, Value, Status, Start Date, End Date and any Notes.

(Figure 26)

Discounts Table Columns

Lookup Code

Discount lookup code

Name

Discount name

Discount Type

Discount type

Value

Discount value

Is Active

Discount status

Start Date

Discount start date

End Date

Discount end date

Notes

Any user notes which may be applied to the discount

Buttons

New Discount

Use this button to create a new discount in the system.

Edit

Press this button to edit a current Discount row.

Delete

Press this button to delete current a Discount row.

When you press the Delete button, you will be prompted for a confirmation:

(Figure 27)


3.2.4.1 "Editing Discount" page

The page for editing discounts information is shown in Figure 28.

(Figure 28)

Enter the discount name into the Discount Name field and lookup code into the Lookup Code field. Choose the corresponding discount type from Discount Type drop-down list; input the discount value into the Value field; check the discount status in Is Active checkbox. Enter the discount start date into the Start Date field and the discount end date into the End Date field; and add any relevant notes into the Note field. The following buttons are also available: Discounts List (used to open the Discounts List page, Reset (cancel any entries) and Save (save entered information).

Fields

Discount Name

Enter discount name.

Lookup Code

Enter lookup code.

Value

Enter discount value.

Start Date

Enter the discount’s start date or click the Select Date reference to open the Calendar Form (3.12).

End Date

Enter the discount’s end date or click the Select Date reference to open the Calendar Form (3.12).

Note

Enter any relevant notes.

Drop-down lists

Discount Type

Select discount type.

Check boxes
Is Active

Check this box to apply a discount status.

Buttons

Discounts List

Press this button to open the parental "Discounts List" page.

Reset

Press this button to cancel any input (not saving changes).

Save

Press this button to save any changes.


3.2.4.2 "Creating New Discount" page

(Figure 29)

Enter the discount name into the Discount Name field and lookup code into the Lookup Code field. Choose the corresponding discount type from Discount Type drop-down list; input the discount value into the Value field; check the discount status in Is Active checkbox. Enter the discount start date into the Start Date field and the discount end date into the End Date field; and put any notes into the Note field. Also the following buttons are available: Discounts List (for opening the Discounts List screen, Reset (cancel entries) and Save (save any entered data).

Fields

Discount Name

Enter discount name.

Lookup Code

Enter lookup code.

Value

Enter discount value.

Start Date

Enter discount’s start date or click the Select Date reference to open the Calendar Form (3.12).

End Date

Enter discount’s end date or click the Select Date reference to open the Calendar Form (3.12).

Note

Enter any notes here.

Drop-down lists

Discount Type

Select discount type.

Check boxes
Is Active

Check this box to apply a discount status.

Buttons

Discounts list

Press this button to open the parental "Discounts List" page.

Reset

Press this button to cancel any entries (not saving changes).

Save

Press this button to save all changes.


3.2.5 "Link Types Between Products" page

This page (Figure 30) shows the list of link types between products. Information about link types is shown in the table containing one row for each link type.

(Figure 30)

Link Types Between Products Table Columns

ID

Link type between products ID.

Link Type Name

Link type name.

Buttons

New Link Type

Press this button to create a new link type between products.


3.2.5.1 "Creating New Link Type Between Products" page

This page (Figure 31) allows the creation of a new link type between products.

(Figure 31)

Table Columns and Fields

ID

Link type between products ID.

Link Type Name

Link type name.

Buttons

New Link Type

Press this button to create a new link type between products.

Update

Press this button to update the table’s data.

Cancel

Press this button to cancel any entries.


3.3 Orders Menu

All order menu options are presented here. Viewing, editing, adding and removing order documents, adding products to orders, setting up order statuses, order properties, order item properties and order optional charges can be accomplished using this menu.

(Figure 32)


3.3.1 "Order Statuses" page

Use this page to view the status of orders in the eShop system.

(Figure 33)

Order Statuses Table Columns

Name

Order status name.

Description

Represents order status description.

Up

Press the button in this column to move current order status up.

Down

Press the button in this column to move current order status down.

Edit

Press the button in this column to edit current order status.

Delete

Press the button in this column to delete current order status.

Buttons

New Status

Press this button to create new order status .

Up

Press the button in this column to move current order status up.

Down

Press the button in this column to move current order status down.

Edit

Press the button in this column to edit current order status.

Delete

Press this button to delete current order status.

When you press Delete button, you will be prompted for a confirmation:

(Figure 34)


3.3.1.1 "New Order Status" page

Use this page to create new order status. Entering a status name and description into the table is accomplished here.

(Figure 35)

Fields and Columns in Order Statuses Table

Name

Put the order status name.

Description

Put the order status description.

Up

Press the button in this column to move current order status up.

Down

Press the button in this column to move current order status down.

Update

Press the button in this column to update current new order status.

Cancel

Press the button in this column to cancel the entries for the current new order status.

Edit

Press the button in this column to edit current order status.

Delete

Press the button in this column to delete the current order status.

Buttons

New Status

Press this button to create new order status.

Up

Press the button in this column to move current order status up.

Down

Press the button in this column to move current order status down.

Edit

Press the button in this column to edit current order status.

Delete

Press this button to delete current order status.

When you press Delete button, you will be prompted for a confirmation:

(Figure 36)

Update

Press the button in this column to update current new order status.

Cancel

Press the button in this column to cancel any entered data for current new order status.


3.3.2 "Order Properties" page

Use this page to view, edit, add or delete order properties.

(Figure 37)

Order Properties Table Columns

ID

Order property ID.

Name

Order property name.

Edit

Press the button in this column to edit current order property.

Delete

Press the button in this column to delete current order property.

Buttons

New Property

Press this button to create new order property.

Edit

Press the button in this column to edit current order property.

Delete

Press this button to delete current order property.

When you press "Delete" button, you will be prompted for a confirmation:

(Figure 38)


3.3.2.1 "New Order Property" page

Put the new order property name and description here.

(Figure 39)

Fields and Columns in Order Properties Table

ID

Order property ID is automatically stored here.

Name

Put the order property name here.

Update

Press the button in this column to update current new order property.

Cancel

Press the button in this column to cancel your input for current new order property.

Edit

Press the button in this column to edit current order property.

Delete

Press the button in this column to delete current order property.

Buttons

New Property

Press this button to create new order property.

Edit

Press the button in this column to edit current order property.

Delete

Press the button in this column to delete current order property.

Update

Press the button in this column to update current new order property.

Cancel

Press the button in this column to cancel your input for current new order property.


3.3.3 "Order Item Properties" page

Use this page to view, edit, add or delete order item properties.

(Figure 40)

Order Item Properties Table Columns

Name

Order item property’s name.

Edit

Press the button in this column to edit current order item property.

Delete

Press the button in this column to delete current order item property.

Buttons

New Property

Press this button to create new order item property.

Edit

Press the button in this column to edit current order item property.

Delete

Press this button to delete current order item property.

When you press "Delete" button, you will be prompted for a confirmation:

(Figure 41)


3.3.3.1 "New Order Item Property" page

Put the name of a new order item property here.

(Figure 42)

Fields and Columns in Order Item Properties Table

Name

Put the order item property name here.

Update

Press the button in this column to update current new order item property.

Cancel

Press the button in this column to cancel your input for current new order item property.

Edit

Press the button in this column to edit current order item property.

Delete

Press the button in this column to delete current order item property.

Buttons

New Property

Press this button to create new order item property.

Edit

Press the button in this column to edit current order item property.

Delete

Press this button to delete current order item property.

When you press "Delete" button, you will be prompted for a confirmation:

(Figure 43)

Update

Press the button in this column to update current new order item property.

Cancel

Press the button in this column to cancel your input for current new order item property.


3.3.4 "Order Optional Charges" page

Use this page to view, edit, add or delete order optional charges.

(Figure 44)

Order Optional Charges Table Columns

Name

An order’s optional charge name.

Is Active

An order’s optional charge status.

Value

An order’s optional charge absolute value.

Type

An order’s optional charge type.

Note

Any user notes to the order optional charge.

Edit

Press the button in this column to edit current order optional charge.

Delete

Press the button in this column to delete current order optional charge.

Buttons

New Charge

Press this button to create new order optional charge.

Edit

Press the button in this column to edit current order optional charge.

Delete

Press this button to delete current order optional charge.

When you press Delete button, you will be prompted for a confirmation:

(Figure 45)

Drop-down lists

Charges Activity

Select All, Active Only or Inactive Only for filtering order optional charges according to your selection.


3.3.4.1 "New Order Optional Charge" page

This page is used for editing and creation of new order optional charges.

(Figure 46)

Fields and Columns in Order Optional Charges Table

Name

Put the order optional charge name.

Is Active (checkbox)

Check this box to make order optional charge active.

Value

Put the order optional charge value.

Type (drop-down list)

Select the type of the order optional charge.

Note

Put any notes to the order optional charge.

Update

Press the button in this column to update current new order optional charge.

Cancel

Press the button in this column to cancel your input for current new order optional charge.

Drop-down lists

Charges activity

Select the desired value to filter records in Order Optional Charges Table (All, Active Only, or Inactive Only).

Type

Select current new order optional charge’s type.

Check Boxes

Is Active

Check this box to make current order optional charge active.

Buttons

New Charge

Press this button to create new order optional charge.

Update

Press the button in this column to update the new order optional charge.

Cancel

Press the button in this column to cancel your input for the new order optional charge.


3.3.5 "Manage Orders" page

Use this page to view, edit, add or delete orders. The Orders Table shows the entire list of all orders. Order details can be viewed by clicking the order ID reference number.

(Figure 47)

Orders Table Columns

ID

Order ID. Clicking the reference number in this field will expand or collapse current order details.

Order #

Order number.

Date

Order date.

Items Total

Order total number of items.

Charges Total

Order total amount of charges.

Shipping Total

Order total amount of shipping charges.

Total

Order total.

Order Status

Order status (Active or Inactive).

Edit

Press the button in this column to edit current order.

Delete

Press this button to delete current order.

When you press Delete button, you will be prompted for a confirmation:

Buttons

New Order

Press this button to create new order.

Edit

Press the button in this column to edit current order.

Delete

Press the button in this column to delete current order.

(Figure 48)


3.3.5.1 "Create New Order page" - step 1

Creating new orders requires three steps.

Step 1. Select products for new order.

The first step is similar to organizing of a new Products Nest. Choose the necessary products (order items), either by means of a products tree, or with the help of a search.

(Figure 49)

New Order Items Table Columns (step 1)

Lookup Code

Product lookup code in the order item.

Vendor

Product vendor in the order item.

Name

Product name in the order item.

Status

Product status in the order item.

Currency

Product currency in the order item.

Price

Product price in the order item.

Picture

Product picture.

Rating

Product rating.

Discount

Product discount (if available).

New Price

Product new price.

Quantity

Product quantity.

Fields

Quantity

Input product quantity.

Search

Input your search string here.

Buttons

Continue Create Order

Press this button to continue create order (go to step 2).

Cancel

Press this button if you want to cancel your input.

Search

Input the search phrase into the search field, select the search criteria using drop-down list and press this button. It will activate the search through the products list

Drop-down lists

Search

Select the search criteria here (by Lookup Code, Product Name or Product Description)

After adding some products to the order, the screen will look similar this:

(Figure 50)

When you finish adding products, press the button, "Continue Create Order" .


3.3.5.2 "Continue Create Order" page - step 2

Step 2. Edit order items.

Now the orders cart is created, it is time to add and work with the order items themselves. Here can be seen the order items, entered during the first step, and allow the ability to continue working upon your order cart.

(Figure 51)

New Order Items Table Columns (step 2)

Remove (checkbox)

Check this box to remove an order item.

Product Name

Product name.

Product Description

Product description.

Picture

Product picture.

Quantity

Product quantity.

BasePrice

Product base price.

Discount Name

Discount name.

Discount Amount

Discount amount.

Final Price

Product final price.

Sub Total

Product subtotal.

Fields

Quantity

Input new product quantities in the order Item.

Buttons

Add Product

Press the button in to add new products, which were missed during step 1. This will automatically return to the previous step without destroying the order’s cart.

Create Order

Press this button to continue create order (go to step 3).

Update Cart

Press this button to update the order’s cart after making some adding or removing products or editing quantities.

When the "Remove" checkbox is checked, the screen should look like this:

(Figure 52)

Pressing the "Update Cart" button will result in the following screen:

(Figure 53)

The deleted record will disappear.


3.3.5.3 "Continue Create Order" page - step 3

Step 3. Input general order information.

The third step will bring you to a screen where you have to input some general order information, like order #, order date, order status (with its description), base currency, shipping total, customer information (company name, first name, last name, street, city, state, zip code, country, email, phone, referral code)

(Figure 54)

Continue Create Order – Fields

General Information:

Order #

Input an order number (#) here.

Order Date

Input the order date here or click the Select Date reference to open the Calendar Form (3.12).

Order Status

Set an order status.

Status Description

Displays order status description.

Base Currency

Set order base currency.

Items Total

Displays items total.

Charges Total

Displays charges total.

Shipping Total

Enter shipping total if required.

Customer Information:

Customer First Name

Enter customer’s first name.

Customer Last Name

Enter customer’s last name.

Customer Street

Enter customer’s street.

Customer City

Enter customer’s city.

Customer State

Enter customer’s state.

Customer ZIP

Enter customer’s zip code.

Customer Country

Enter customer’s country.

Customer E-Mail

Enter customer’s phone e-mail address (-es).

Customer Phone

Enter customer’s phone number (-s).

Customer Referral Code

Enter customer’s referral code.

Other Information:

Note

Enter additional notes, if required

Order Items:

View the order items in table form

Buttons

Order List

Press this button to switch to the "Order List" page (3.3.5.4). The order list will be displayed with the current order expanded. (it can be collapse to continue navigation)

Reset

Press this button to cancel any entered data and reset data for the current page.

The order has now been created. User can perform switching to an Order List by pressing the Order List button.


3.3.5.4 "Order List" page

Expand or collapse any order by clicking the Order ID reference number. Any order can be edited or deleted by clicking the buttons Edit, Delete. A new order can be created by clicking the New Order button. Add items to any opened order by pressing the Add Items button. Edit or delete any opened order items by pressing the buttons Edit, Delete, and add charges by pressing the Add Charge button.

This page displays the orders list, only one of them may be opened – i.e. expanded to represent all the order’s data, including order items, charges details, properties details, customer details etc.

(Figure 55)

Opened (Expanded) Order List – All Controls (Fields and Buttons)

Order Header:

New Order (button)

Opens "Create New Order" page – step 1 (3.3.5.1).

ID

Displays order ID.

Order #

Displays order number (#).

Date

Display order’s date.

Items Total

Displays items total.

Charges Total

Displays charges total.

Shipping Total

Displays shipping total if was entered.

Total

Displays order total.

Order Status

Displays order status (Active or Inactive).

Edit

Press this button for switching to Edit mode of current order.

Delete

Press this button to delete the current order.

When you press the Delete button, you will be prompted for a confirmation:

(Figure 56)

Order Detail window:

Status Description

Displays status description (Active Orders / Inactive Orders).

Base Currency

Displays base currency of the order.

Customer First Name

Displays customer’s first name.

Customer Last Name

Displays customer’s last name.

Customer Street

Displays customer’s street.

Customer City

Displays customer’s city.

Customer State

Displays customer’s state.

Customer ZIP

Displays customer’s ZIP code.

Customer Country

Displays customer’s country.

Customer E-Mail

Displays customer’s phone e-mail address (-es).

Customer Phone

Displays customer’s phone number (-s).

Customer Referral Code

Displays customer’s referral code.

Note

Displays notes if were entered

Other Items Window:

Product Name

Product name in the order item.

Quantity

Product’s quantity.

BasePrice

Product’s base price.

Discount Name

Discount name (if exists).

Discount Amount

Discount amount (if available).

Final Price

Product final price.

Total

Product total price.

Edit

Press the button in this column to switch into Edit mode for the current order item.

Delete

Press this button to delete the current order item.

When you press Delete button, you will be prompted for a confirmation:

(Figure 57)

Add Items (Button)

Opens the "Continue Create Order" page - step 2 (3.3.5.2).

Other Optional Charges Window:

Charge Name

Optional charge name.

Charge Amount

Total amount of optional charges.

Add Charge (Button)

Opens the "New Order Optional Charge" page (3.3.4.1).

Other Properties Window:

Property Name

Displays property name.

Property Value

Displays property value.


3.4 Payments Menu

Methods of payments can be setup for the eShop system and easily review all payments made by customers.


3.4.1 "Payment Methods" page

Use this page to view the available payment methods for your customers, which are currently available in the eShop system.

(Figure 58)

Payment Methods Table Columns

Methods

Brief name of payment method and contains a reference to the method. Clicking the reference with the payment method will open the "View Payment Method" page (3.4.1.1).

Description

Description of the payment method, also contains a hyperlink to the URL which supports this method.


3.4.1.1 "View Payment Method" page

Currently the eShop system supports three payment methods: CyberSource, PayPal and 2CheckOut. See the examples below for these payment methods use and data.

An example of CyberSource payment method:

(Figure 59)

View Payment Method Table Columns

Name

Name of data - merchant ID or public key is stored here

Description

The payment method merchant ID or public key description is stored here. This is a required field.

Value

Numeric value of merchant ID or binary value of public key is stored here

Edit (Button)

You can edit any current table data using the Edit button in the corresponding record.

Buttons

Edit

You can edit any current table data using the Edit button in the corresponding string.

Another example using the 2CheckOut payment method:

(Figure 60)

The PayPal payment method example:

(Figure 61)


3.4.2 "Payments" page

Use this page to view customers’ payments.

(Figure 62)

Payments Table Columns

Order ID

Order ID.

Order Number

Order number.

Payment Method Name

Name of the customer’s payment method.

Date

Date of payment.

Total Amount

Total amount of payment.

Tax Amount

Tax amount of payment.

Shipping Cost

Shipping cost of payment.

Bank Service Fee

The cost of bank service (-s).

Source Type

Source type of payment.


3.5 Delivery Menu

This menu item is used for the management of all deliveries in the eShop system and for the setup of different delivery types.

(Figure 63)


3.5.1 "Delivery Types" page

Use this page to view, edit, add or delete Delivery Types in the eShop system.

(Figure 64)

Delivery Types Table Columns

Name

Name of the delivery type.

Main URL

Hyperlink to URL responsible for delivery the order.

Delivery Confirmation URL

Hyperlink to URL for confirmation of delivery the order.

Buttons

New Delivery Type

Press this button to open the "New Delivery Type" page.

Edit

Press the button in this column to edit current delivery type.

Delete

Press the button in this column to delete current delivery type.


3.5.1.1 "New Delivery Type" page

Use this page to enter new delivery type.

(Figure 65)

New Delivery Type Table Columns

Name

Name for a new delivery type.

Main URL

Company responsible for order delivery.

Delivery Confirmation URL

Confirmation URL of company responsible for delivery.

Update

Press the button in this column to update current delivery type.

Cancel

Press the button in this column to cancel your input.

Edit

Press the button in this column to edit current delivery type.

Delete

Press the button in this column to delete current delivery type.

Buttons

New Delivery Type

Press this button to open the "New Delivery Type" page.

Edit

Press the button in this column to edit current delivery type.

Delete

Press the button in this column to delete current delivery type.


3.5.2 "Delivery" page

Use this page to view, edit, add or delete information about your order deliveries.

(Figure 66)

Delivery Table Columns

Confirmation Number

Confirmation number, if successful delivery.

Delivery Type

Delivery type.

Date

Delivery date.

Actual Shipping Cost

Delivery actual shipping cost.

Order ID

Order ID.

Order Number

Order number.

Order Date

Order date.

Buttons

New Delivery

Press this button to open the "New Delivery" (3.5.2.1) page.

Edit

Press the button in this column to edit current delivery.

Delete

Press the button in this column to delete current delivery.

To create new delivery, you have to press button New delivery. The screen should look like described in 3.5.2.1


3.5.2.1 "New Delivery" page

Use this page to enter information about new deliveries.

(Figure 67)

Select order for delivery Table Columns

Order ID

Order ID.

Order #

Order number.

Date

Order date.

Items Total

Order items total.

Charges Total

Order charges total.

Shipping Total

Order shipping total.

Total

Order total (items + charging + shipping).

Order Status

Order status.

Paid Amount

Paid amount for this order.

Order Items

Total number of order items.

Delivered Items

Total number of delivered order items.

Select

Press the button in this column to select current Delivery for editing.

Buttons

Select

Press this button to open the "Delivery Items" page (3.5.2.2).

Cancel

Press the Cancel button to return to the parental page.


3.5.2.2 "Delivery Items" page

Use this page to edit delivery items for selected order.

(Figure 68)

The page is divided into three main distinct areas: Delivery Info, Order Info and Order Items.

Delivery Info window

Delivery Info Fields

Delivery Type

Input type of delivery (from Delivery Types Table)

Confirmation Number

Entry confirmation number for delivery.

Actual Shipping Cost

Enter actual shipping cost for delivery.

Note

Additional notes about delivery

Order Info window

Order Info Fields

Order #

Displays order number.

Order Date

Displays order date.

Order Status

Displays order status.

Status Description

Displays status description (Active Orders / Inactive Orders.)

Base Currency

Displays order base currency.

Items Total

Displays items total.

Charges Total

Displays charges total.

Shipping Total

Displays shipping total.

Total

Displays order total.

Customer First Name

Displays customer’s first name.

Customer Last Name

Displays customer’s last name.

Customer Street

Displays customer’s street.

Customer City

Displays customer’s city.

Customer State

Displays customer’s state.

Customer ZIP

Displays customer’s zip code.

Customer Country

Displays customer’s country.

Customer E-Mail

Displays customer’s phone e-mail address (-es).

Customer Phone

Displays customer’s phone number (-s).

Customer Referral Code

Displays customer’s referral code.

Note

Displays notes if any were entered

Order Items Window:

Order Items Fields

Product Name

Product name in the order item.

Quantity

Product quantity.

BasePrice

Product base price.

Discount Name

Discount name (if any.)

Discount Amount

Discount amount (if available.)

Final Price

Final Product price.

Serial Number

Enter product serial number to be delivered in this field.

Quantity to Deliver

Enter required product quantity to be delivered in this field.

Buttons

Delivery List

Press this button to switch to delivery list (parental page).

Reset

Press this button to cancel changes made on current page.

Save

Press this button to save changes made on current page.


3.6 Manage Dictionaries Menu

There are certain dictionaries in the eShop system. Dictionaries may be interpreted as tables, which have various tuning information, for example weights, measures, units, currencies, statuses. This menu lets the user to choose necessary dictionaries for viewing or editing.

(Figure 69)


3.6.1 "Weights" page

Use this page to view, edit, add or delete information about weights.

(Figure 70)

Weights Table Columns

Weight Name

Weight name.

Edit

Press the button in this column to edit the current weight.

Delete

Press the button in this column to delete the current weight.

Buttons

New Weight

Press this button to create a new weight .

Edit

Press the button in this column to edit the current weight.

Delete

Press the button in this column to delete the current weight.


3.6.1.1 "New Weight" page

This page is used to enter new weights.

(Figure 71)

Weights Table Columns

Weight Name

Enter new weight name.

Update

Press this button to update a dictionary table with your data.

Cancel

Press this button to cancel any entries.

Buttons

New Weight

Press this button to input another new weight.

Update

Press this button to update the table with your data.

Cancel

Press this button to cancel your input.


3.6.2 "Units" page

This page is used to view, edit, add or delete information about units.

(Figure 72)

Units Table Columns

Unit Name

Unit name.

Edit

Press the button in this column to edit the current unit.

Delete

Press the button in this column to delete the current unit.

Buttons

New Unit

Press this button to create a new unit .

Edit

Press the button in this column to edit the current unit.

Delete

Press the button in this column to delete the current unit.


3.6.2.1 "New Unit" page

This page is used to enter new units.

(Figure 73)

Units Table Columns

Unit Name

Enter a new unit name.

Update

Press this button to update a dictionary table with your data.

Cancel

Press this button to cancel any entered data.

Buttons

New Unit

Press this button to add another new unit.

Update

Press this button to update the table with the new data.

Cancel

Press this button to cancel any entered data.


3.6.3 "Measures" page

This page is used to view, edit, add or delete information about measures.

(Figure 74)

Measures Table Columns

Measure Name

Measure name.

Edit

Press the button in this column to edit the current measure.

Delete

Press the button in this column to delete the current measure.

Buttons

New Measure

Press this button to create a new measure .

Edit

Press the button in this column to edit the current measure.

Delete

Press the button in this column to delete the current measure.


3.6.3.1 "New Measure" page

This page is used to input new measures.

(Figure 75)

Measures Table Columns

Measure Name

Input a new measure name.

Update

Press this button to update a dictionary table with your data.

Cancel

Press this button to cancel any entered data.

Buttons

New Measure

Press this button to enter another new measure.

Update

Press this button to update the table with the new data.

Cancel

Press this button to cancel any entered data.


3.6.4 "Currencies" page

This page is used to view, edit, add or delete information about currencies.

(Figure 76)

Currencies Table Columns

Currency Name

Currency name.

Edit

Press the button in this column to edit the current currency.

Delete

Press the button in this column to delete the current currency.

Buttons

New Currency

Press this button to create a new currency .

Edit

Press the button in this column to edit the current currency.

Delete

Press the button in this column to delete the current currency.


3.6.4.1 "New Currency" page

This page is used to enter a new currency.

(Figure 77)

Currencies Table Columns

Currency Name

Enter a new currency name.

Update

Press this button to update a dictionary table with your data.

Cancel

Press this button to cancel any entered data.

Buttons

New Currency

Press this button to enter another new currency.

Update

Press this button to update the table with the new data.

Cancel

Press this button to cancel any entered data.


3.6.5 "Statuses" page

This page is used to view, edit, add or delete information about product statuses.

(Figure 78)

Statuses Table Columns

Status Name

Product status name.

Edit

Press the button in this column to edit a current product status.

Delete

Press the button in this column to delete a current product status.

Buttons

New Status

Press this button to create a new product status .

Edit

Press the button in this column to edit the current product status.

Delete

Press the button in this column to delete the current product status.


3.6.5.1 "New Status" page

This page is used to enter new product statuses.

(Figure 79)

Statuses Table Columns

Status Name

Enter new product status name.

Update

Press this button to update a dictionary table with the new data.

Cancel

Press this button to cancel any entered data.

Buttons

New Status

Press this button to input another new product status.

Update

Press this button to update the table with the new data.

Cancel

Press this button to cancel any entered data.


3.6.6 "Vendors" page

This page is used to view, edit, add or delete information about vendors.

(Figure 80)

Vendors Table Columns

Vendor Name

Vendor name.

Description

Vendor’s description.

Picture

Vendor’s picture.

URL

Hyperlink to vendor’s URL.

Created

Current record creation date.

Edit

Press the button in this column to edit the current vendor.

Delete

Press the button in this column to the delete current vendor.

Fields

Search

This field is required for entry of a search phrase

Rows Per Page

This field is required for entry for the desired number of rows per page.

Drop-down lists

Search By

Select the search criteria here (e.g. by Vendor Name, Description, Picture File Name or URL)

Buttons

New Vendor

Press this button to create a new vendor .

Edit

Press the button in this column to edit the current vendor.

Delete

Press the button in this column to delete the current vendor.

Search

Select the search criteria in the drop-down list (e.g. Vendor Name, Description, Picture File Name or URL). Enter a search phrase into the search field and press the Search button. This will activate the search throughout the table.

Rows Per Page - Apply

Enter the desired number of rows per page into this field and press the Apply button. All the vendor’s dictionaries will be divided into the chosen number of pages, and can be navigated through them by clicking on the corresponding page numbers in the bottom right corner of the screen.


3.6.6.1 "New Vendor" page

This page is used to input information about new vendor.

(Figure 81)

New Vendor page Fields

Vendor Name

Vendor name.

Description

Vendor’s description.

Picture

Vendor’s picture.

URL

Hyperlink to vendor’s URL.

Buttons

Vendors List

Press this button to open parental screen (Vendors List Table).

Browse

Press this button to browse for a vendor’s picture.

Reset

Press this button to reset current page (canceling changes).

Save

Press this button to save current page (saving changes).


3.7 Admin Menu

This menu is required for access to dictionaries, where information about product types, discount types and order optional charge types are stored. This menu is a restricted (contains "View only" menu items). Only those users with administrative rights may obtain access to edit these dictionaries.

(Figure 82)


3.7.1 "Product Types" page

This page is used to view product types.

(Figure 83)

Product Types Table Columns

Product Type Name

Displays product type name.


3.7.2 "Discount Types" page

This page is used to view discount types.

(Figure 84)

Discount Types Table Columns

Discount Type Name

Displays discount type name.


3.7.3 "Order Optional Charges Types" page

This page is used to view, edit, add or delete information about an order’s optional charge types.

(Figure 85)

Order Optional Charges Types Table Columns

Type Name

Order optional charges type name


3.8 Reports Menu

This menu displays the Products List (Price List) Report.

(Figure 86)


3.8.1 "Products List" page

This page is used to view or manage your Products List for report purposes.

(Figure 87)

Products List Table Columns

Lookup Code

Product lookup code.

Product Name

Product name.

Vendor

Product vendor.

Price

Product price.

Currency

Product currency.

Drop-down lists

Show only

Allows for selection of which products are to be shown (e.g. Posted only, Non-posted only or All products)


3.9 Database Function menu

This menu does not have any menu items. It allows importing of data from an external data file to your Products List very quickly. The Import process will require two simple steps. See the Import screens below ( Step 1 and Step 2 ).

(Figure 88)


3.9.1 "Import Products List" page (step 1)

Database Function Controls (Step 1)

Data Source File (Field)

Enter the full path and filename of the external products list file to be imported.

Browse (Button)

Press this button to browse and select the file where the products list is stored. When the file is located and selected, the full path and filename to the external products list file will be stored in the Data Source File field.

Selected Import File Format (Switch)

This switch consists of three choices:

— Comma Separated File

— Tab Separated File

— Semicolon Separated File

Select appropriate separator type according to your external data file format.

Field Headers (Check Box)

Check this box if your external file contains field headers in first data row.

Send (Button)

Press this button when all necessary preparations have been made (Data Source File prepared, Import File Format selected, Field Headers type selected). The selected data file will be sent to the eShop system for future actions.

After pressing the Send button the next screen ( Step 2 ) will appear:

(Figure 89)


3.9.2 "Import Products List" page (step 2)

Database Function Controls (step 2)

Data Import Rules (Switch)

This switch consists of three choices:

— Update existing records when matched - plus add new

— Only update matched records - do not add new

— Do not update matched records - add new only

Select the appropriate import rule according to your needs.

Data Fields to Import (Two-windows Selector)

This control group consists of two windows. The left window displays the User Data Fields Available (this field set was imported from the first line of your external data file, if the appropriate setting was made), and the right window shows the Data Fields Available (this field set is available for update in the eShop system database).

Add (Button)

Select two matching fields: first, one in the left window, and then secondly one in right window, and then press this button to put the selected match to the bottom (or lower) Import Fields Map window (result window).

Remove (Button)

Select any match in the bottom "Import Fields Map" window and press this button to remove selected match from this result window.

Add Matched Fields (Button)

Press this button if you have prepared your external file according to the eShop system requirements. This button will find matched fields (e.g. having exact names) in the left and right windows and add them automatically to bottom Import Fields Map window (result window).

Import (Button)

When all your selections are complete, press this button to finish the data import process. As many matches as is required can be selected. Remember, that it’s necessary to make matches between fields with similar data types. Remember that the Product Name field in the right window is a mandatory field and must be matched to any field in left window. If this rule is not followed the following error message will be displayed:

(Figure 90)

After making a variety of matches the screen will look similar to this:

(Figure 91)

Press the Import button to actually begin the import process. After successfully importing data the eShop system will return to Main System page. There the screen will show the products tree and all imported categories and products. A sample, successful data import will look similar to the screen below:

(Figure 92)

If any import errors occur during the import process, the following error messages:

— Incorrect file format, or

— Failed to enable constraints. One or more rows contain values violating non-null, unique, or foreign-key constraints.

In this event, the screen will return back to the import screen to change the import rules in an effort to correct the error. In this event, the page will look like this:

(Figure 93)

To correct any errors go to beginning of Step 2 and change the import rules or check your data type matches. If you are unsuccessful in importing the data, please contact the eShop team for immediate support.


3.10 Log off

This menu item will log you off the eShop system.


3.11 Feedback

This menu enables user to create and send messages to the eShop developers and help improve the overall system. It will also help users to obtain qualified answers to your questions on a 24/7 basis. If you have any questions, requests or suggestions on how we can improve our service we encourage you to submit them below. Please include your email address if you would like a direct response or reply.

Fields and Buttons:

Issue type:

Enter your issue type.

Your name:

Enter your name here

E-mail address:

Enter your E-mail address here

Subject: *

Enter your subject here

Message Text: *

Enter your message text. You do not need to press "Enter" or "Return" at the end of each line. A blank line may be used to separate paragraphs if necessary.

File Attachment Size

Attach any additional files if required.

Reset

Press this button to cancel this message.

Save

Press this button to send message to our staff!

(Figure 94)


3.12 Calendar Form

The Calendar form has been especially designed for entry of date-formatted fields into the eShop system. You may input dates manually or by clicking a corresponding Select Date reference:

(Figure 95) | (Figure 96)


4. Support

Additional information about our product and ways for getting our technical support can be found on the product website at http://www.w3spt.com/eshop. Technical support of the system is carried out in a 24/7 basis . You have the opportunity to ask our experts any questions on any subject regarding the eShop system, usage of the system and how eShop can help optimize and grow your business.